Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.util.ui
Class ExtendedControl

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--javax.swing.JComponent
                        |
                        +--javax.swing.JPanel
                              |
                              +--com.togethersoft.openapi.util.ui.ExtendedControl

public class ExtendedControl
extends JPanel

Control which has a rectangular button on the right and a component on the left taking up the rest of the space.

Author:
  TogetherSoft

Inner classes inherited from class javax.swing.JPanel
`JPanel.AccessibleJPanel`

Inner classes inherited from class javax.swing.JComponent
`JComponent.AccessibleJComponent`

Inner classes inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Inner classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent`

Field Summary
`final static int` | `CHOOSER_BUTTON` Specify button type as an abstract chooser.
`final static int` | `FILE_CHOOSER_BUTTON` Specify button type as an file chooser.
`protected ActionListener` | `myActionListener`
`protected JButton` | `theButton`
`protected Component` | `theComponent`

Fields inherited from class javax.swing.JComponent
`ui, listenerList, WHEN_FOCUSED, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_IN_FOCUSED_WINDOW, UNDEFINED_CONDITION, TOOL_TIP_TEXT_KEY, accessibleContext`

Fields inherited from class java.awt.Component
`TOP_ALIGNMENT, CENTER_ALIGNMENT, BOTTOM_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT`

Constructor Summary
`ExtendedControl(int buttonType, Component innerComponent, ActionListener al)` Constructs new ExtendedControl.
`ExtendedControl(String buttonText, Icon buttonIcon, Component innerComponent, ActionListener al)` Constructs new extended control.

Method Summary
`void` | `addFocusListener(FocusListener l)` Adds specified focus listener for this container.
`void` | `dispose()` Removes action listener and all components from this container.
`static JButton` | `getChooserButton()` Returns JButton represents chooser button.
`static Icon` | `getChooserIcon()` Returns chooser button icon.
`static JButton` | `getFileChooserButton()` Returns JButton represents file chooser button.
`static Icon` | `getFileChooserIcon()` Returns file chooser button icon.
`void` | `removeFocusListener(FocusListener l)` Removes specified focus listener from this container.
`void` | `requestFocus()` Requests that button in this container get the input focus.
`void` | `setEnabled(boolean enabled)` Enables this control.

Methods inherited from class javax.swing.JPanel
`updateUI, getUIClassID, paramString, getAccessibleContext`

Methods inherited from class javax.swing.JComponent
`setUI, getComponentGraphics, paintComponent, paintChildren, paintBorder, update, paint, printAll, print, printComponent, printChildren, printBorder, isPaintingTile, isFocusCycleRoot, isManagingFocus, setNextFocusableComponent, getNextFocusableComponent, setRequestFocusEnabled, isRequestFocusEnabled, grabFocus, setVerifyInputWhenFocusTarget, getVerifyInputWhenFocusTarget, setPreferredSize, getPreferredSize, setMaximumSize, getMaximumSize, setMinimumSize, getMinimumSize, isMinimumSizeSet, isPreferredSizeSet, isMaximumSizeSet, contains, setBorder, getBorder, getInsets, getInsets, getAlignmentY, setAlignmentY, getAlignmentX, setAlignmentX, setInputVerifier, getInputVerifier, getGraphics, setDebugGraphicsOptions, getDebugGraphicsOptions, registerKeyboardAction, registerKeyboardAction, unregisterKeyboardAction, getRegisteredKeyStrokes, getConditionForKeyStroke, getActionForKeyStroke, resetKeyboardActions, setInputMap, getInputMap, getInputMap, setActionMap, getActionMap, requestDefaultFocus, setVisible, hide, setForeground, setBackground, setFont, isFocusTraversable, processFocusEvent, processComponentKeyEvent, processKeyEvent, processKeyBinding, setToolTipText, getToolTipText, getToolTipText, getToolTipLocation, createToolTip, scrollRectToVisible, setAutoscrolls, getAutoscrolls, processMouseMotionEvent, enable, disable, getClientProperty, putClientProperty, isLightweightComponent, reshape, getBounds, getSize, getLocation, getX, getY, getWidth, getHeight, hasFocus, isOpaque, setOpaque, computeVisibleRect, getVisibleRect, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, addPropertyChangeListener, addPropertyChangeListener, removePropertyChangeListener, removePropertyChangeListener, fireVetoableChange, addVetoableChangeListener, removeVetoableChangeListener, getTopLevelAncestor, addAncestorListener, removeAncestorListener, getListeners, addNotify, removeNotify, repaint, repaint, revalidate, isValidateRoot, isOptimizedDrawingEnabled, paintImmediately, paintImmediately, setDoubleBuffered, isDoubleBuffered, getRootPane`

Methods inherited from class java.awt.Container
`getComponentCount, countComponents, getComponent, getComponents, insets, add, add, add, add, add, addImpl, remove, remove, removeAll, getLayout, setLayout, doLayout, layout, invalidate, validate, validateTree, preferredSize, minimumSize, paintComponents, printComponents, addContainerListener, removeContainerListener, processEvent, processContainerEvent, deliverEvent, getComponentAt, locate, getComponentAt, findComponentAt, findComponentAt, isAncestorOf, list, list`

Methods inherited from class java.awt.Component
`getName, setName, getParent, getPeer, setDropTarget, getDropTarget, getGraphicsConfiguration, getTreeLock, getToolkit, isValid, isDisplayable, isVisible, isShowing, isEnabled, enable, enableInputMethods, show, show, getForeground, getBackground, getFont, getLocale, setLocale, getColorModel, getLocation, getLocationOnScreen, location, setLocation, move, setLocation, getSize, size, setSize, resize, setSize, resize, getBounds, bounds, setBounds, setBounds, isLightweight, getFontMetrics, setCursor, getCursor, paintAll, repaint, repaint, repaint, imageUpdate, createImage, createImage, prepareImage, prepareImage, checkImage, checkImage, inside, contains, dispatchEvent, postEvent, addComponentListener, removeComponentListener, addHierarchyListener, removeHierarchyListener, addHierarchyBoundsListener, removeHierarchyBoundsListener, addKeyListener, removeKeyListener, addMouseListener, removeMouseListener, addMouseMotionListener, removeMouseMotionListener, addInputMethodListener, removeInputMethodListener, getInputMethodRequests, getInputContext, enableEvents, disableEvents, coalesceEvents, processComponentEvent, processMouseEvent, processInputMethodEvent, processHierarchyEvent, processHierarchyBoundsEvent, handleEvent, mouseDown, mouseDrag, mouseUp, mouseMove, mouseEnter, mouseExit, keyDown, keyUp, action, gotFocus, lostFocus, transferFocus, nextFocus, add, remove, toString, list, list, list, setComponentOrientation, getComponentOrientation`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, clone, notify, notifyAll, wait, wait, wait, finalize`

Field Detail

### CHOOSER_BUTTON

    public final static int CHOOSER_BUTTON

  Specify button type as an abstract chooser.

### FILE_CHOOSER_BUTTON

    public final static int FILE_CHOOSER_BUTTON

  Specify button type as an file chooser.

### myActionListener

    protected ActionListener myActionListener

### theButton

    protected JButton theButton

### theComponent

    protected Component theComponent

Constructor Detail

### ExtendedControl

    public ExtendedControl(int buttonType, Component innerComponent, ActionListener al)

  Constructs new ExtendedControl.
  Parameters:
    buttonType - Type of button; can be CHOOSER_BUTTON or FILE_CHOOSER_BUTTON
    innerComponent - AWT component to be placed on the left side of this ExtendedControl
    al - ActionListener for this ExtendedControl

### ExtendedControl

    public ExtendedControl(String buttonText, Icon buttonIcon, Component innerComponent, ActionListener al)

  Constructs new extended control.
  Parameters:
    buttonText - The text to be placed in the button
    buttonIcon - The icon to be placed in the button
    innerComponent - The inner component placed on the left
    al - The action listener to be executed when the button is pressed

Method Detail

### addFocusListener

    public void addFocusListener(FocusListener l)

  Adds specified focus listener for this container.

### dispose

    public void dispose()

  Removes action listener and all components from this container.

### getChooserButton

    public static JButton getChooserButton()

  Returns JButton represents chooser button.

### getChooserIcon

    public static Icon getChooserIcon()

  Returns chooser button icon. Icon is in the gif format.

### getFileChooserButton

    public static JButton getFileChooserButton()

  Returns JButton represents file chooser button.

### getFileChooserIcon

    public static Icon getFileChooserIcon()

  Returns file chooser button icon. Icon is in the gif format.

### removeFocusListener

    public void removeFocusListener(FocusListener l)

  Removes specified focus listener from this container.

### requestFocus

    public void requestFocus()

  Requests that button in this container get the input focus. The button must be visible on the screen for this request to be granted.

### setEnabled

    public void setEnabled(boolean enabled)

  Enables this control.

Association Links

to Class java.awt.Component

to Class javax.swing.JButton

to Class java.awt.event.ActionListener

to Class javax.swing.Icon

to Class javax.swing.Icon

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD